Skip to main content
POST
/
api
/
public
/
v1
/
builder
/
sessions
curl --request POST \
  --url https://app.tagadapay.com/api/public/v1/builder/sessions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pluginId": "plg_abc123",
  "deploymentId": "dep_xyz789"
}
'
{
  "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  "expiresAt": "2024-01-15T14:30:00.000Z",
  "accountId": "acc_abc123",
  "pluginId": "plg_abc123",
  "deploymentId": "dep_xyz789"
}

Authorizations

Authorization
string
header
required

Enter your API key as: Bearer your-api-key

Body

application/json
storeId
string
pluginId
string
deploymentId
string
permissions
enum<string>[]
Available options:
read:source,
write:deploy,
read:manifest,
write:manifest
expiresIn
string
metadata
object

Response

Successful response